/*****************************************************************************
 *                                                                           *
 *  Copyright (c) 1993, 1994, 1995, Elan Feingold (feingold@zko.dec.com)     *
 *                                                                           *
 *     PERMISSION TO USE, COPY, MODIFY, AND TO DISTRIBUTE THIS SOFTWARE      *
 *     AND ITS DOCUMENTATION FOR ANY PURPOSE IS HEREBY GRANTED WITHOUT       *
 *     FEE, PROVIDED THAT THE ABOVE COPYRIGHT NOTICE APPEAR IN ALL           *
 *     COPIES AND MODIFIED COPIES AND THAT BOTH THAT COPYRIGHT NOTICE AND    *
 *     THIS PERMISSION NOTICE APPEAR IN SUPPORTING DOCUMENTATION.  THERE     *
 *     IS NO REPRESENTATIONS ABOUT THE SUITABILITY OF THIS SOFTWARE FOR      *
 *     ANY PURPOSE.  THIS SOFTWARE IS PROVIDED "AS IS" WITHOUT EXPRESS       *
 *     OR IMPLIED WARRANTY.                                                  *
 *                                                                           *
 *****************************************************************************/

#ifndef _CLIENT
#define _CLIENT

#include "types.h"

extern Int32       iThisClient;
extern CString     strClientName;

void   CLNT_Init(int argc, CString *argv);
void   CLNT_Connect(void);
Int32  CLNT_AllocPlayer(void (*pfMsgHandler)(Int32, void *));
void   CLNT_FreePlayer(Int32 i);
void   CLNT_RecoverFailure(CString strReason, Int32 iCommLink);

/* Methods */
Int32  CLNT_GetCommLinkOfClient(Int32 iNumClient);
void   CLNT_SetCommLinkOfClient(Int32 iNumClient, Int32 iCommLink);
Int32  CLNT_GetLightCountOfCountry(Int32 iCountry);
void   CLNT_SetLightCountOfCountry(Int32 iCountry, Int32 iCount);

#endif
